> ## Documentation Index
> Fetch the complete documentation index at: https://developers.everflow.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Find Creatives (Advanced)

Retrieve a paginated list of creatives. Supports search filters, sorting, and pagination to help you find and browse creatives programmatically. Filter by name, creative status, creative type, offer name, or offer ID.


## OpenAPI

````yaml openapi/creatives.yaml post /networks/creativestable
openapi: 3.0.3
info:
  title: Everflow Network API - Creatives
  description: >
    Endpoints for managing creatives in the Everflow network. For more on
    creative types, see the [Creatives
    guide](https://helpdesk.everflow.io/customer/simple-creatives-images-links-videos-others).
  version: 1.0.0
servers:
  - url: https://api.eflow.team/v1
security: []
tags:
  - name: Creatives
paths:
  /networks/creativestable:
    post:
      tags:
        - Creatives
      summary: Find Creatives (Advanced)
      parameters:
        - in: query
          name: page
          schema:
            type: integer
            default: 1
          description: Page number (1-based).
        - in: query
          name: page_size
          schema:
            type: integer
            default: 50
          description: Number of results per page.
      requestBody:
        required: true
        content:
          application/json:
            example:
              search_terms:
                - search_type: creative_status
                  value: active
            schema:
              type: object
              properties:
                search_terms:
                  type: array
                  description: Array of search filters to apply.
                  items:
                    type: object
                    required:
                      - search_type
                      - value
                    properties:
                      search_type:
                        type: string
                        enum:
                          - name
                          - creative_status
                          - creative_type
                          - network_offer_name
                          - network_offer_id
                        description: The field to search on.
                      value:
                        type: string
                        description: The search value.
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  creatives:
                    type: array
                    items:
                      type: object
                      properties:
                        network_offer_creative_id:
                          type: integer
                          description: Unique creative ID.
                        network_id:
                          type: integer
                          description: Network ID.
                        name:
                          type: string
                          description: Name of the creative.
                        network_offer_id:
                          type: integer
                          description: Associated offer ID.
                        network_offer_name:
                          type: string
                          description: Associated offer name.
                        creative_type:
                          type: string
                          enum:
                            - image
                            - html
                            - thumbnail
                            - email
                            - archive
                            - video
                            - text
                            - link
                          description: >
                            Type of the creative. Can be one of: image, html,
                            thumbnail, email, archive, video, text, or link.
                        is_private:
                          type: boolean
                          description: >-
                            Whether the creative is accessible by all
                            affiliates.
                        creative_status:
                          type: string
                          enum:
                            - active
                            - paused
                            - deleted
                          description: >-
                            Status of the creative. Can be active, paused, or
                            deleted.
                        resource_url:
                          type: string
                          description: URL to the creative resource file.
                        html_code:
                          type: string
                          description: >-
                            HTML content of the creative. Present when
                            creative_type is `html`, `email`, or `link`.
                        width:
                          type: integer
                          description: Width of the creative in pixels.
                        height:
                          type: integer
                          description: Height of the creative in pixels.
                        email_from:
                          type: string
                          description: Content of the From field of the email.
                        email_subject:
                          type: string
                          description: Content of the Subject field of the email.
                        time_created:
                          type: integer
                          example: 1734455015
                          description: Unix timestamp of creation.
                        time_saved:
                          type: integer
                          example: 1734455015
                          description: Unix timestamp of last update.
                        optimized_thumbnail_url:
                          type: string
                          description: URL to the optimized thumbnail.
                        email_subject_lines:
                          type: string
                          description: Additional email subject lines for the creative.
                        email_from_lines:
                          type: string
                          description: Additional email from lines for the creative.
                  paging:
                    type: object
                    properties:
                      page:
                        type: integer
                      page_size:
                        type: integer
                      total_count:
                        type: integer
      security:
        - API Key: []
components:
  securitySchemes:
    API Key:
      description: The Everflow API key generated from the Control Center > Security.
      in: header
      name: X-Eflow-Api-Key
      type: apiKey

````